package com.xy.xyaicpzs.common;

import com.xy.xyaicpzs.common.response.ApiResponse;

/**
 * 返回工具类
 */
public class ResultUtils {

    /**
     * 成功
     *
     * @param data
     * @param <T>
     * @return
     */
    public static <T> ApiResponse<T> success(T data) {
        return ApiResponse.success(data);
    }

    /**
     * 失败
     *
     * @param errorCode
     * @return
     */
    public static <T> ApiResponse<T> error(ErrorCode errorCode) {
        return ApiResponse.error(errorCode.getCode(), errorCode.getMessage());
    }

    /**
     * 失败
     *
     * @param code
     * @param message
     * @return
     */
    public static <T> ApiResponse<T> error(int code, String message) {
        return ApiResponse.error(code, message);
    }

    /**
     * 失败
     *
     * @param errorCode
     * @return
     */
    public static <T> ApiResponse<T> error(ErrorCode errorCode, String message) {
        return ApiResponse.error(errorCode.getCode(), message);
    }
} 